Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::RadialAngularIntegrator Class Reference

An implementation of an integrator using any combination of a RadianIntegrator and an AngularIntegrator. More...

`#include <integrator.h>`

Inheritance diagram for sc::RadialAngularIntegrator:

[legend]
Collaboration diagram for sc::RadialAngularIntegrator:

[legend]
List of all members.

## Public Methods
| RadialAngularIntegrator ()
| RadialAngularIntegrator (const Ref< KeyVal > &)
| RadialAngularIntegrator (StateIn &)
| ~RadialAngularIntegrator ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | integrate (const Ref< DenFunctional > &, const RefSymmSCMatrix &densa=0, const RefSymmSCMatrix &densb=0, double *nuclear_gradient=0)
| Performs the integration of the given functional using the given alpha and beta density matrices. More...
void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
AngularIntegrator * | get_angular_grid (double radius, double atomic_radius, int charge, int deriv_order)
RadialIntegrator * | get_radial_grid (int charge, int deriv_order)
void | init_default_grids (void)
int | angular_grid_offset (int i)
void | set_grids (void)
int | get_atomic_row (int i)
void | init_parameters (void)
void | init_parameters (const Ref< KeyVal > &keyval)
void | init_pruning_coefficients (const Ref< KeyVal > &keyval)
void | init_pruning_coefficients (void)
void | init_alpha_coefficients (void)
int | select_dynamic_grid (void)
Ref< IntegrationWeight > | weight ()
## Protected Attributes
Ref< IntegrationWeight > | weight_
Ref< RadialIntegrator > | radial_user_
Ref< AngularIntegrator > | angular_user_
Ref< AngularIntegrator > *** | angular_grid_
Ref< RadialIntegrator > ** | radial_grid_

## Detailed Description

An implementation of an integrator using any combination of a RadianIntegrator and an AngularIntegrator.

## Member Function Documentation

void sc::RadialAngularIntegrator::integrate | ( | const Ref< DenFunctional > & | ,
|  | const RefSymmSCMatrix & | densa = 0,
|  | const RefSymmSCMatrix & | densb = 0,
|  | double * | nuclear_gradient = 0
| ) | `[virtual]`

| Performs the integration of the given functional using the given alpha and beta density matrices. The nuclear derivative contribution is placed in nuclear_grad, if it is non-null. Implements sc::DenIntegrator.

void sc::RadialAngularIntegrator::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::DenIntegrator.

The documentation for this class was generated from the following file:

- integrator.h